<template>
  <b-card>

    <b-row>

      <!-- User Info: Left col -->
      <b-col
        cols="21"
        xl="6"
        class="d-flex justify-content-between flex-column"
      >
        <!-- User Avatar & Action Buttons -->
        <div class="d-flex justify-content-start">
          <b-avatar
            src="https://images.pexels.com/photos/669615/pexels-photo-669615.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940"
            size="150px"
            rounded
          />
          <div class="d-flex flex-column ml-1">
            <div>
              <b-card style="max-width: 25rem;" >
                <feather-icon
                  icon="AlignRightIcon"
                  class="mr-75"
                />
                <span class="font-weight-bold">Descripción:</span><br>
                {{ advanceData.description }}
  
              </b-card>
            </div>
                
            <br>

            <div class="d-flex flex-wrap">
              <b-button
                :to="{ name: 'apps-activitie-advances-edit', params: { advance: advanceData.id} }"
                variant="primary"
                v-if="advanceData.editable && advanceData.activitie && advanceData.activitie.status_id === 2 &&(this.hasPermission('edit_project_activities') || (advanceData.activitie && advanceData.activitie.manager_id == userId))"
              >
                Editar
              </b-button>

              <b-button
                class="ml-1"
                v-if="advanceData.activitie"
                :to="{ name: 'apps-project-activities-view', params: { activitie: advanceData.activitie_id,id: advanceData.activitie.project_id} }"
              >
                Regresar
              </b-button>    

            </div>
            
          </div>
        </div>

        
      </b-col>

      <!-- Right Col: Table -->
      <b-col
        cols="12"
        xl="6"
      >
        <table class="mt-2 mt-xl-0 w-100">
        <tr>
            <th class="pb-50">
              <feather-icon
                icon="FlagIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Duración (horas):</span>
            </th>
            <td class="pb-50">
              {{ advanceData.time }} horas
            </td>
          </tr>
          
          <tr>
            <th class="pb-50">
              <feather-icon
                icon="FlagIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Fecha de registro:</span>
            </th>
            <td class="pb-50">
              {{ advanceData.created_at }}
            </td>
          </tr>

          <tr>
            <th class="pb-50">
              <feather-icon
                icon="AlignRightIcon"
                class="mr-75"
              />
              <span class="font-weight-bold">Comentarios:</span>
            </th>
            <td class="pb-50">
              {{ advanceData.comments }}
            </td>
          </tr>
         
        </table>
      </b-col>
    </b-row>
   
  </b-card>
</template>

<script>
import {
  BCard, BButton, BAvatar, BRow, BCol,BProgress,
} from 'bootstrap-vue'


export default {
  name:'advance-view-info-card',
  methods: {
  },
  components: {
    BCard, BButton, BRow, BCol, BAvatar,BProgress
  },
  props: {
    advanceData: {
      type: Object,
      required: true,
    },
  },
  data(){
    return{
      userId:''
    }
  },
  methods:{
  
    reload(e){
      if(e){
        this.advanceData.status.name='Abierta'
        this.$emit('success', true)
      }
    },
  
    
  },
  mounted(){
    let userData = JSON.parse(localStorage.userData)
    this.userId = userData.id
  }
 
}
</script>

<style>

</style>
